Arch Gebäudeteil

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch BuildingPart and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Floor.svg Geschoss Vorherige:
Nächste: Gebäude Arch Building.svg Arrow-right.svg

Arch BuildingPart.svg Arch Gebäudeteil

Menüeintrag
Arch → Gebäudeteil
Arbeitsbereich
Arch
Standardtastenkürzel
None
In der Version eingeführt
0.18
Siehe auch
Gebäude, Grundstück


Beschreibung

Der Gebäudeteil ersetzt das alte Geschoss- und Gebäude-Werkzeug durch eine leistungsfähigere Version zu ersetzen, mit der nicht nur Geschosse/Etagen/Ebenen, sondern alle Arten von Situationen erstellt werden können, in denen verschiedene Architektur-/BIM-Objekte gruppiert werden sollen und diese Gruppe als ein Objekt behandelt oder repliziert werden soll.

Anwendung

  1. Wähle (optional) ein oder mehrere Objekte, die in das Gebäudeteil eingeschlossen werden sollen.
  2. Drücke die Schaltfläche Arch BuildingPart.svg Arch-Gebäudeteil.

Optionen

  • Nach der Erstellung eines Gebäudeteils können weitere Objekte durch Drag-und-drop in die Baumansicht oder durch Nutzung der Schaltfläche Arch Add.svg Komponente hinzufügen hinzugefügt werden.
  • Objekte können durch Drag-und-drop aus der Baumansicht oder durch Nutzung der Schaltfläche Arch Add.svg Komponente entfernen aus dem Gebäudeteil entfernt werden.
  • Durch doppelklicken des Gebäudeteil-Objekts in der Baumansicht wird die Arbeitsebene an diese Stelle gesetzt und das Gebäudeteil aktiviert, so dass neue Objekte automatisch hinzugefügt werden. Erneutes doppelklicken des Gebäudeteils wird es deaktivieren und die Arbeitsebene zurück auf die vorherige Position setzen.
  • Der Gebäudeteil kann in der 3D-Ansicht eine Markierung mit einer Beschriftung und einer Ebenenangabe anzeigen.
  • Wenn ein Gebäudeteil verschoben/gedreht wird, werden deren Kinder ohne Daten-EigenschaftMove with Host-Eigenschaft oder mit aktivierter Eigenschaft ebenfalls verschoben/gedreht.
  • Gebäudeteile können geklont werden.
  • Gebäudeteil können jeden beliebigen IFC-Typ annnehmen. Die IFC Role-Eigenschaft legt die Verwendung fest. Falls auf Building Storey gesetzt, wird es sich wie ein Geschoss verhalten. Bei Building wird es sich wie ein Gebäude verhalten und bei Element Assembly wie eine Baugruppe. Das Symbol wird sich je nach Einstellung ändern, hat aber darüber hinaus keine Auswirkung in FreeCAD. Allerdings kann diese Eigenschaft beim Export je nach Typ Auswirkung auf andere BIM-Anwendungen haben.

Eigenschaften

Daten

  • Daten-EigenschaftHeight: Die Höhe dieses Objekts und dessen Kindobjekte. Die Kindobjekte können bspw. Wände sein. Jede Wandhöhe muss auf 0 (Null) gesetzt werden, so dass die Höhe-Eigenschaft des BuildingPart-Objekts auf die darin liegenden Objekte übertragen wird.
  • Daten-EigenschaftLevelOffset: Das Niveau des (0,0,0)-Punkts dieser Ebene
  • Daten-EigenschaftArea: Die berechnete Geschossfläche dieser Etage
  • Daten-EigenschaftIfcRole: Die Rolle dieses Objekts
  • Daten-EigenschaftDescription: Eine optionale Beschreibung dieser Komponente
  • Daten-EigenschaftTag: Eine optionale Kennzeichnung dieser Komponente
  • Daten-EigenschaftIfcAttributes: Benutzerdefinierte IFC-Eigenschaften und -Attribute

Ansicht

  • Ansicht EigenschaftLineWidth: Die Liniendicke dieses Objekts
  • Ansicht EigenschaftOverrideUnit: Eine optionale Einheit, um Niveaus auszudrücken
  • Ansicht EigenschaftDisplayOffset: Eine auf die Niveaumarkierung (level mark) anzuwendende Transformation
  • Ansicht EigenschaftShowLevel: Falls True, zeige das Niveau
  • Ansicht EigenschaftShowUnit: Falls True, zeige die Einheit auf dem Niveau-Kennzeichen
  • Ansicht EigenschaftSetWorkingPlane: Falls True, wird bei Aktivierung die Arbeitsebene automatisch auf dieses Gebäudeteil angepasst
  • Ansicht EigenschaftOriginOffset: Falls True, wird bei Aktivierung der Ansichtsabstand auch die Ursprungsmarkierung (origin mark) beeinflussen
  • Ansicht EigenschaftShowLabel: Falls True, wird bei Aktivierung die Objektkennzeichnung angezeigt
  • Ansicht EigenschaftFontName: Die für Text zu benutzende Schriftart
  • Ansicht EigenschaftFontSize: Die Schriftgröße für Text
  • Ansicht EigenschaftRestoreView: Falls gesetzt, wird die in diesem Objekt gespeicherte Sicht bei Doppelklick wiederhergestellt
  • Ansicht EigenschaftDiffuseColor: Die individuelle Flächenfarbe

introduced in version 0.19

  • VIEWChildrenOverride: Wenn gesetzt, werden die folgenden Einstellungen die Kinder dieses Gebäudeteils beeinflussen
  • VIEWChildrenLineWidth: Die auf die Kinder des Gebäudeteils anzuwendende Liniendicke
  • VIEWChildrenLineColor: Die auf die Kinder des Gebäudeteils anzuwendende Linienfarbe
  • VIEWChildrenShapeColor: Die auf die Kinder des Gebäudeteils anzuwendende Shape-Farbe
  • VIEWChildrenTransparency: Die auf die Kinder des Gebäudeteils anzuwendende Transparenz

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Gebäudeteil-Werkzeug kann sowohl in Makros als auch aus der Python-Konsole heraus über folgende Funktion angesprochen werden:

BuildingPart = makeBuildingPart(objectslist=None)
  • Erzeugt ein Building-Objekt aus objectslist, einer Liste von Objekten.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Floor.svg Geschoss Vorherige:
Nächste: Gebäude Arch Building.svg Arrow-right.svg